Bug 84646 - UI improvement: Google Drive check password before accepting it
Summary: UI improvement: Google Drive check password before accepting it
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 86703
  Show dependency treegraph
 
Reported: 2014-10-04 01:25 UTC by Luke
Modified: 2019-12-03 14:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-10-04 01:25:32 UTC
Currently when setting up a Google Drive connection, in the username and password entry dialog, you can enter an invalid password. To improve the UI, we should:

1) Have better error handling. Currently you are allowed to enter an incorrect password. And later in the process you get a "General input/output error" along with other strange behavior. Instead of this general, non-descriptive error message, we should get an invalid username or password error and the Authentication Required dialog should popup.

2) The Authentication Required dialog should not allow you to "OK" until you have entered a valid password. You should be able to cancel, but if you enter an invalid one and press "OK", it should give you the descriptive error message from 1) "Invalid username or password" and pop back up allowing you to enter the correct credentials.

Both these changes should be made together, because if just 2) is implemented, people like me that change their password often will have to deal with the buggy current behavior when the password is incorrect. 

The list of steps to setup a Google Drive connection can be found here:
http://ask.libreoffice.org/en/question/30926/connect-libreoffice-42-with-google-drive/
Comment 1 Yousuf Philips (jay) (retired) 2014-10-04 01:32:46 UTC
Yes i've experienced this as well and with me, i checked the save password checkbox, so the dialog never appeared again, so it may be doing an infinite loop with a wrong password.
Comment 2 Yousuf Philips (jay) (retired) 2015-03-27 08:16:49 UTC
Linking this up with the main bug report.
Comment 3 Luke 2015-08-30 00:42:45 UTC
Adding eszka who is currently working on this issue.
Comment 4 Luke 2016-05-03 12:37:22 UTC
The vague error dialog issue are being fixed in Bug 98644. We still need to ensure that only valid passwords are allowed to be saved/accepted.
Comment 5 QA Administrators 2017-05-22 13:39:34 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:22:48 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug